Skip to main content
GET
Get transaction related XML messages

XML messages by payment scheme

The endpoint returns only XML that is stored and can be matched to the transaction. Outbound SDD pacs.003 is not returned. For batched XML, the message is returned only when the transaction can be identified inside the batch.

Path Parameters

id
integer<int64>
required

Transaction ID

Response

Returned xmls related to specific transaction

createdAt
string<date-time>
required

The timestamp of when the message was created.

direction
string
required

Shows whether the message is incoming or outgoing, helping to identify the flow of information.

messageNameId
string
required

Indicates the type or purpose of the message (e.g., pain.001 for credit transfer initiations).

sepaMessageId
string
required

A unique identifier for each SEPA message.

xmlValue
string
required

The actual XML content of the message, providing details on the transaction.

parentSepaMessageId
string | null

Refers to the preceding message in a sequence, allowing tracking of message flow.

Last modified on October 5, 2026